# Manage booking

This set of endpoints allows partners to manage the full lifecycle of an active Booking—the finalized status of a confirmed Offer. Use these operations to handle customer-initiated changes, updates, or complete cancellations after the initial purchase.

Once an Offer has been successfully converted into a Booking via the Confirm Offer endpoint, all post-purchase actions related to modifying the secured product(s) are handled through the Booking Management suite.

These endpoints are essential for providing a flexible and robust customer experience, ensuring that your customers can adjust their plans as needed.

## GET /api/partners/{partner\_id}/bookings

> List bookings

```json
{"openapi":"3.0.0","info":{"title":"Offers","version":"1.0.0"},"tags":[{"name":"Manage booking","description":"This set of endpoints allows partners to manage the full lifecycle of an active Booking—the finalized status of a confirmed Offer. Use these operations to handle customer-initiated changes, updates, or complete cancellations after the initial purchase.\n\nOnce an Offer has been successfully converted into a Booking via the Confirm Offer endpoint, all post-purchase actions related to modifying the secured product(s) are handled through the Booking Management suite.\n\nThese endpoints are essential for providing a flexible and robust customer experience, ensuring that your customers can adjust their plans as needed.\n"}],"servers":[{"url":"https://api.xone.xcover.com"}],"security":[{"PartnerPrivateAPI":["bookings:view"]}],"components":{"securitySchemes":{"PartnerPrivateAPI":{"type":"oauth2","description":"# XONE API Access Token\n\nTo get started with the XONE API, you'll first need to obtain an access token. \nThis token acts as a digital key, granting your application permission to make API calls.\n\nThis process uses the **OAuth 2.0 Client Credentials Grant flow**. You'll use your unique client ID and client secret to request a token, which you then include in subsequent API requests.\n\n## 🔑 Authentication Steps\n\n* **Request Token:** Send a \"Retrieve Token\" request to the XONE authorization server's token endpoint.\n* **Include Credentials:** In the request body, provide your `client_id` and `client_secret` as a JSON object.\n* **Use Token:** The server will respond with an `access_token` that you can now use to authenticate your API calls by including it in the **Authorization** header as a `Bearer` token.\n","flows":{"clientCredentials":{"tokenUrl":"https://api.xone.xcover.com/api/oauth/token","scopes":{"quotes:view":"Read-only access to view quote details.","quotes:update":"Permission to opt-out quotes.","offers:view":"Read-only access to view offer details.","offers:update":"Permission to opt-out existing offers.","offers:delete":"Permission to cancel an existing booking of an offer.","bookings:create":"Ability to create new bookings for quotes.","bookings:view":"Read-only access to view booking details.","bookings:update":"Permission to modify existing bookings.","bookings:delete":"Permission to cancel bookings."}}}}}},"paths":{"/api/partners/{partner_id}/bookings":{"get":{"summary":"List bookings","tags":["Manage booking"],"responses":{"200":{"description":"200 OK","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"X-Ratelimit-Limit":{"schema":{"type":"integer"}},"X-Ratelimit-Remaining":{"schema":{"type":"integer"}},"Vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"CF-Cache-Status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Content-Encoding":{"schema":{"type":"string"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"provider_reference":{"type":"string"},"language":{"type":"string"},"provider_customer_id":{"nullable":true},"status":{"type":"string"},"currency":{"type":"string"},"price":{"type":"number"},"security_token":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"is_instant_booking":{"type":"boolean"},"policies":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string"},"policy_start_date":{"type":"string","format":"date-time"},"policy_end_date":{"type":"string","format":"date-time"},"price":{"type":"number"},"tax":{"type":"number"},"commission":{"type":"number"},"cover_amount":{"nullable":true},"policy_type":{"type":"string"},"policy_code":{"type":"string"},"policy_version":{"type":"string"},"policy_content":{"type":"object","properties":{"title":{"type":"string"},"header":{"nullable":true},"description":{"type":"string"},"optout_msg":{"type":"string"},"inclusions":{"type":"array","items":{}},"exclusions":{"type":"array","items":{}},"disclaimer":{"type":"string"},"disclaimer_html":{"type":"string","format":"style"},"payment_disclaimer":{"type":"string"},"in_path_disclaimer":{"type":"string"}}},"claim_selector_id":{"type":"string"},"pds_url":{"type":"string","format":"uri"},"extra_fields":{"type":"object","properties":{"retail_premium":{"type":"string"},"uw_fee":{"type":"string"},"get_tickets":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"price":{"type":"integer"},"scanned_at":{"nullable":true}}}},"cg_revenue":{"type":"string"}}},"confirmed_at":{"type":"string","format":"date-time"},"cancelled_at":{"nullable":true},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"policy_start_date_tz_offset":{"type":"string","format":"style"},"policy_end_date_tz_offset":{"type":"string"},"id":{"type":"string"}}}},"id":{"type":"string"},"quote":{"type":"object","properties":{"uuid":{"type":"string"}}},"partner":{"type":"object","properties":{"uuid":{"type":"string"},"name":{"type":"string"}}},"coi":{"type":"object","properties":{"url":{"type":"string","format":"uri"},"pdf":{"type":"string","format":"uri"}}},"account_url":{"type":"string","format":"uri"},"fnol_link":{"type":"string","format":"uri"},"sign_up_url":{"type":"string","format":"uri"}}}},"links":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":"string","format":"uri"},"prev":{"nullable":true},"next":{"type":"string","format":"uri"}}},"meta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer"},"last_page":{"type":"integer"},"links":{"type":"array","items":{"type":"object","properties":{"url":{"nullable":true},"label":{"type":"string"},"active":{"type":"boolean"}}}},"path":{"type":"string","format":"uri"},"per_page":{"type":"integer"},"to":{"type":"integer"},"total":{"type":"integer"}}}}}}}},"401":{"description":"401 Unauthorized","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"Vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"CF-Cache-Status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}}}}}}}
```

## PATCH /api/partners/{partner\_id}/bookings/{booking\_id}/preview

> Modify booking - preview

```json
{"openapi":"3.0.0","info":{"title":"Offers","version":"1.0.0"},"tags":[{"name":"Manage booking","description":"This set of endpoints allows partners to manage the full lifecycle of an active Booking—the finalized status of a confirmed Offer. Use these operations to handle customer-initiated changes, updates, or complete cancellations after the initial purchase.\n\nOnce an Offer has been successfully converted into a Booking via the Confirm Offer endpoint, all post-purchase actions related to modifying the secured product(s) are handled through the Booking Management suite.\n\nThese endpoints are essential for providing a flexible and robust customer experience, ensuring that your customers can adjust their plans as needed.\n"}],"servers":[{"url":"https://api.xone.xcover.com"}],"security":[{"PartnerPrivateAPI":["bookings:update"]}],"components":{"securitySchemes":{"PartnerPrivateAPI":{"type":"oauth2","description":"# XONE API Access Token\n\nTo get started with the XONE API, you'll first need to obtain an access token. \nThis token acts as a digital key, granting your application permission to make API calls.\n\nThis process uses the **OAuth 2.0 Client Credentials Grant flow**. You'll use your unique client ID and client secret to request a token, which you then include in subsequent API requests.\n\n## 🔑 Authentication Steps\n\n* **Request Token:** Send a \"Retrieve Token\" request to the XONE authorization server's token endpoint.\n* **Include Credentials:** In the request body, provide your `client_id` and `client_secret` as a JSON object.\n* **Use Token:** The server will respond with an `access_token` that you can now use to authenticate your API calls by including it in the **Authorization** header as a `Bearer` token.\n","flows":{"clientCredentials":{"tokenUrl":"https://api.xone.xcover.com/api/oauth/token","scopes":{"quotes:view":"Read-only access to view quote details.","quotes:update":"Permission to opt-out quotes.","offers:view":"Read-only access to view offer details.","offers:update":"Permission to opt-out existing offers.","offers:delete":"Permission to cancel an existing booking of an offer.","bookings:create":"Ability to create new bookings for quotes.","bookings:view":"Read-only access to view booking details.","bookings:update":"Permission to modify existing bookings.","bookings:delete":"Permission to cancel bookings."}}}}}},"paths":{"/api/partners/{partner_id}/bookings/{booking_id}/preview":{"patch":{"summary":"Modify booking - preview","tags":["Manage booking"],"responses":{"200":{"description":"200 OK","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"X-Ratelimit-Limit":{"schema":{"type":"integer"}},"X-Ratelimit-Remaining":{"schema":{"type":"integer"}},"Vary":{"schema":{"type":"string"}},"vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"cf-cache-status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Content-Encoding":{"schema":{"type":"string"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"provider_reference":{"type":"string"},"language":{"type":"string"},"provider_customer_id":{"nullable":true},"status":{"type":"string"},"currency":{"type":"string"},"price":{"type":"number"},"security_token":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"is_instant_booking":{"type":"boolean"},"policies":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string"}}}},"policyholder":{"type":"object","properties":{"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"phone":{"type":"string"},"country":{"type":"string"},"date_of_birth":{"nullable":true},"address1":{"type":"string"},"address2":{"nullable":true},"city":{"type":"string"},"region":{"type":"string"},"postcode":{"type":"string","format":"color"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"id":{"type":"string"}}},"quote":{"type":"object","properties":{"uuid":{"type":"string"}}},"cancellations":{"type":"array","items":{}},"partner":{"type":"object","properties":{"uuid":{"type":"string"},"name":{"type":"string"}}},"coi":{"type":"object","properties":{"url":{"type":"string","format":"uri"},"pdf":{"type":"string","format":"uri"}}},"account_url":{"type":"string","format":"uri"},"fnol_link":{"type":"string","format":"uri"},"sign_up_url":{"type":"string","format":"uri"}}}}}}}},"401":{"description":"401 Unauthorized","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"Vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"CF-Cache-Status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"422":{"description":"422 Unprocessable Entity","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"X-Ratelimit-Limit":{"schema":{"type":"integer"}},"X-Ratelimit-Remaining":{"schema":{"type":"integer"}},"Vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"CF-Cache-Status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"message":{"type":"string"},"errors":{"type":"object","properties":{"_non_field_errors":{"type":"array","items":{"type":"string"}}}}}}}}}}}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["policies"],"properties":{"policies":{"type":"array","items":{"type":"object","required":["id","update_fields"],"properties":{"id":{"type":"string"},"policy_start_date":{"type":"string","format":"date-time"},"update_fields":{"type":"object","properties":{"insured":{"type":"array","items":{"type":"object","properties":{"first_name":{"type":"string"},"last_name":{"type":"string"}}}}}}}}}}}}}}}}}}
```

## DELETE /api/partners/{partner\_id}/bookings/{booking\_id}

> Cancel booking policies

```json
{"openapi":"3.0.0","info":{"title":"Offers","version":"1.0.0"},"tags":[{"name":"Manage booking","description":"This set of endpoints allows partners to manage the full lifecycle of an active Booking—the finalized status of a confirmed Offer. Use these operations to handle customer-initiated changes, updates, or complete cancellations after the initial purchase.\n\nOnce an Offer has been successfully converted into a Booking via the Confirm Offer endpoint, all post-purchase actions related to modifying the secured product(s) are handled through the Booking Management suite.\n\nThese endpoints are essential for providing a flexible and robust customer experience, ensuring that your customers can adjust their plans as needed.\n"}],"servers":[{"url":"https://api.xone.xcover.com"}],"security":[{"PartnerPrivateAPI":["bookings:delete"]}],"components":{"securitySchemes":{"PartnerPrivateAPI":{"type":"oauth2","description":"# XONE API Access Token\n\nTo get started with the XONE API, you'll first need to obtain an access token. \nThis token acts as a digital key, granting your application permission to make API calls.\n\nThis process uses the **OAuth 2.0 Client Credentials Grant flow**. You'll use your unique client ID and client secret to request a token, which you then include in subsequent API requests.\n\n## 🔑 Authentication Steps\n\n* **Request Token:** Send a \"Retrieve Token\" request to the XONE authorization server's token endpoint.\n* **Include Credentials:** In the request body, provide your `client_id` and `client_secret` as a JSON object.\n* **Use Token:** The server will respond with an `access_token` that you can now use to authenticate your API calls by including it in the **Authorization** header as a `Bearer` token.\n","flows":{"clientCredentials":{"tokenUrl":"https://api.xone.xcover.com/api/oauth/token","scopes":{"quotes:view":"Read-only access to view quote details.","quotes:update":"Permission to opt-out quotes.","offers:view":"Read-only access to view offer details.","offers:update":"Permission to opt-out existing offers.","offers:delete":"Permission to cancel an existing booking of an offer.","bookings:create":"Ability to create new bookings for quotes.","bookings:view":"Read-only access to view booking details.","bookings:update":"Permission to modify existing bookings.","bookings:delete":"Permission to cancel bookings."}}}}}},"paths":{"/api/partners/{partner_id}/bookings/{booking_id}":{"delete":{"summary":"Cancel booking policies","tags":["Manage booking"],"responses":{"200":{"description":"200 OK","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"X-Ratelimit-Limit":{"schema":{"type":"integer"}},"X-Ratelimit-Remaining":{"schema":{"type":"integer"}},"Vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"CF-Cache-Status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Content-Encoding":{"schema":{"type":"string"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"provider_reference":{"type":"string"},"language":{"type":"string"},"provider_customer_id":{"nullable":true},"status":{"type":"string"},"currency":{"type":"string"},"price":{"type":"number"},"security_token":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"is_instant_booking":{"type":"boolean"},"policies":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string"},"policy_start_date":{"type":"string","format":"date-time"},"policy_end_date":{"type":"string","format":"date-time"},"price":{"type":"number"},"tax":{"type":"number"},"commission":{"type":"number"},"cover_amount":{"type":"integer"},"policy_type":{"type":"string"},"policy_code":{"type":"string"},"policy_version":{"type":"string"},"policy_content":{"type":"object","properties":{"title":{"type":"string"},"header":{"nullable":true},"description":{"type":"string"},"optout_msg":{"type":"string"},"inclusions":{"type":"array","items":{}},"exclusions":{"type":"array","items":{}},"disclaimer":{"type":"string"},"disclaimer_html":{"type":"string","format":"style"},"payment_disclaimer":{"type":"string"},"in_path_disclaimer":{"type":"string"}}},"claim_selector_id":{"type":"string"},"pds_url":{"type":"string","format":"uri"},"extra_fields":{"type":"object","properties":{"retail_premium":{"type":"string"},"uw_fee":{"type":"string"},"get_tickets":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"price":{"type":"integer"},"scanned_at":{"nullable":true}}}},"event_midnight":{"type":"string","format":"date-time"},"cg_revenue":{"type":"string"}}},"confirmed_at":{"type":"string","format":"date-time"},"cancelled_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"policy_start_date_tz_offset":{"type":"string","format":"style"},"policy_end_date_tz_offset":{"type":"string"},"id":{"type":"string"}}}},"policyholder":{"type":"object","properties":{"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"phone":{"type":"string"},"country":{"type":"string"},"date_of_birth":{"nullable":true},"address1":{"type":"string"},"address2":{"nullable":true},"city":{"type":"string"},"region":{"type":"string"},"postcode":{"type":"string","format":"color"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"id":{"type":"string"}}},"cancellations":{"type":"array","items":{"type":"object","properties":{"provider_reference":{"nullable":true},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"confirmed_at":{"type":"string","format":"date-time"},"deleted_at":{"nullable":true},"id":{"type":"string"},"total_refund":{"type":"number"},"total_refund_formatted":{"type":"string"},"policies":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"refund_value":{"type":"number"},"adjustment_fee":{"type":"integer"}}}}}}},"id":{"type":"string"},"quote":{"type":"object","properties":{"uuid":{"type":"string"}}},"partner":{"type":"object","properties":{"uuid":{"type":"string"},"name":{"type":"string"}}},"coi":{"type":"object","properties":{"url":{"type":"string","format":"uri"},"pdf":{"type":"string","format":"uri"}}},"account_url":{"type":"string","format":"uri"},"fnol_link":{"type":"string","format":"uri"},"sign_up_url":{"type":"string","format":"uri"}}}}}}}},"401":{"description":"401 Unauthorized","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"Vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"CF-Cache-Status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"422":{"description":"422 Unprocessable Entity","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"X-Ratelimit-Limit":{"schema":{"type":"integer"}},"X-Ratelimit-Remaining":{"schema":{"type":"integer"}},"Vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"CF-Cache-Status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","properties":{"booking":{"type":"array","items":{"type":"string"}},"policies.0.id":{"type":"array","items":{"type":"string"}}}}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"policies":{"type":"array","items":{"type":"object","required":["id"],"properties":{"id":{"type":"string"},"reason":{"type":"string"}}}}}}}}}}}}}
```

## PATCH /api/partners/{partner\_id}/bookings/{booking\_id}

> Modify booking

```json
{"openapi":"3.0.0","info":{"title":"Offers","version":"1.0.0"},"tags":[{"name":"Manage booking","description":"This set of endpoints allows partners to manage the full lifecycle of an active Booking—the finalized status of a confirmed Offer. Use these operations to handle customer-initiated changes, updates, or complete cancellations after the initial purchase.\n\nOnce an Offer has been successfully converted into a Booking via the Confirm Offer endpoint, all post-purchase actions related to modifying the secured product(s) are handled through the Booking Management suite.\n\nThese endpoints are essential for providing a flexible and robust customer experience, ensuring that your customers can adjust their plans as needed.\n"}],"servers":[{"url":"https://api.xone.xcover.com"}],"security":[{"PartnerPrivateAPI":["bookings:update"]}],"components":{"securitySchemes":{"PartnerPrivateAPI":{"type":"oauth2","description":"# XONE API Access Token\n\nTo get started with the XONE API, you'll first need to obtain an access token. \nThis token acts as a digital key, granting your application permission to make API calls.\n\nThis process uses the **OAuth 2.0 Client Credentials Grant flow**. You'll use your unique client ID and client secret to request a token, which you then include in subsequent API requests.\n\n## 🔑 Authentication Steps\n\n* **Request Token:** Send a \"Retrieve Token\" request to the XONE authorization server's token endpoint.\n* **Include Credentials:** In the request body, provide your `client_id` and `client_secret` as a JSON object.\n* **Use Token:** The server will respond with an `access_token` that you can now use to authenticate your API calls by including it in the **Authorization** header as a `Bearer` token.\n","flows":{"clientCredentials":{"tokenUrl":"https://api.xone.xcover.com/api/oauth/token","scopes":{"quotes:view":"Read-only access to view quote details.","quotes:update":"Permission to opt-out quotes.","offers:view":"Read-only access to view offer details.","offers:update":"Permission to opt-out existing offers.","offers:delete":"Permission to cancel an existing booking of an offer.","bookings:create":"Ability to create new bookings for quotes.","bookings:view":"Read-only access to view booking details.","bookings:update":"Permission to modify existing bookings.","bookings:delete":"Permission to cancel bookings."}}}}}},"paths":{"/api/partners/{partner_id}/bookings/{booking_id}":{"patch":{"summary":"Modify booking","tags":["Manage booking"],"responses":{"200":{"description":"200 OK","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"X-Ratelimit-Limit":{"schema":{"type":"integer"}},"X-Ratelimit-Remaining":{"schema":{"type":"integer"}},"Vary":{"schema":{"type":"string"}},"vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"cf-cache-status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Content-Encoding":{"schema":{"type":"string"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"provider_reference":{"type":"string"},"language":{"type":"string"},"provider_customer_id":{"nullable":true},"status":{"type":"string"},"currency":{"type":"string"},"price":{"type":"number"},"security_token":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"is_instant_booking":{"type":"boolean"},"policies":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string"},"policy_start_date":{"type":"string","format":"date-time"},"policy_end_date":{"type":"string","format":"date-time"},"price":{"type":"number"},"tax":{"type":"number"},"commission":{"type":"number"},"cover_amount":{"type":"integer"},"policy_type":{"type":"string"},"policy_code":{"type":"string"},"policy_version":{"type":"string"},"policy_content":{"type":"object","properties":{"title":{"type":"string"},"header":{"nullable":true},"description":{"type":"string"},"optout_msg":{"type":"string"},"inclusions":{"type":"array","items":{}},"exclusions":{"type":"array","items":{}},"disclaimer":{"type":"string"},"disclaimer_html":{"type":"string","format":"style"},"payment_disclaimer":{"type":"string"},"in_path_disclaimer":{"type":"string"}}},"claim_selector_id":{"type":"string"},"pds_url":{"type":"string","format":"uri"},"extra_fields":{"type":"object","properties":{"retail_premium":{"type":"string"},"uw_fee":{"type":"string"},"get_tickets":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"price":{"type":"integer"},"scanned_at":{"nullable":true}}}},"event_midnight":{"type":"string","format":"date-time"},"cg_revenue":{"type":"string"}}},"confirmed_at":{"type":"string","format":"date-time"},"cancelled_at":{"nullable":true},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"policy_start_date_tz_offset":{"type":"string","format":"style"},"policy_end_date_tz_offset":{"type":"string"},"id":{"type":"string"}}}},"policyholder":{"type":"object","properties":{"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"phone":{"type":"string"},"country":{"type":"string"},"date_of_birth":{"nullable":true},"address1":{"type":"string"},"address2":{"nullable":true},"city":{"type":"string"},"region":{"type":"string"},"postcode":{"type":"string","format":"color"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"id":{"type":"string"}}},"id":{"type":"string"},"quote":{"type":"object","properties":{"uuid":{"type":"string"}}},"cancellations":{"type":"array","items":{}},"partner":{"type":"object","properties":{"uuid":{"type":"string"},"name":{"type":"string"}}},"coi":{"type":"object","properties":{"url":{"type":"string","format":"uri"},"pdf":{"type":"string","format":"uri"}}},"account_url":{"type":"string","format":"uri"},"fnol_link":{"type":"string","format":"uri"},"sign_up_url":{"type":"string","format":"uri"}}}}}}}},"401":{"description":"401 Unauthorized","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"Vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"CF-Cache-Status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"422":{"description":"422 Unprocessable Entity","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"X-Ratelimit-Limit":{"schema":{"type":"integer"}},"X-Ratelimit-Remaining":{"schema":{"type":"integer"}},"Vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"CF-Cache-Status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"message":{"type":"string"},"errors":{"type":"object","properties":{"_non_field_errors":{"type":"array","items":{"type":"string"}}}}}}}}}}}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["policies"],"properties":{"policies":{"type":"array","items":{"type":"object","required":["id","update_fields"],"properties":{"id":{"type":"string"},"policy_start_date":{"type":"string","format":"date-time"},"update_fields":{"type":"object","properties":{"insured":{"type":"array","items":{"type":"object","properties":{"first_name":{"type":"string"},"last_name":{"type":"string"}}}}}}}}}}}}}}}}}}
```

## POST /api/partners/{partner\_id}/bookings/{booking\_id}/cancellations/{cancellation\_id}

> Cancel booking - confirm preview

```json
{"openapi":"3.0.0","info":{"title":"Offers","version":"1.0.0"},"tags":[{"name":"Manage booking","description":"This set of endpoints allows partners to manage the full lifecycle of an active Booking—the finalized status of a confirmed Offer. Use these operations to handle customer-initiated changes, updates, or complete cancellations after the initial purchase.\n\nOnce an Offer has been successfully converted into a Booking via the Confirm Offer endpoint, all post-purchase actions related to modifying the secured product(s) are handled through the Booking Management suite.\n\nThese endpoints are essential for providing a flexible and robust customer experience, ensuring that your customers can adjust their plans as needed.\n"}],"servers":[{"url":"https://api.xone.xcover.com"}],"security":[{"PartnerPrivateAPI":["bookings:delete"]}],"components":{"securitySchemes":{"PartnerPrivateAPI":{"type":"oauth2","description":"# XONE API Access Token\n\nTo get started with the XONE API, you'll first need to obtain an access token. \nThis token acts as a digital key, granting your application permission to make API calls.\n\nThis process uses the **OAuth 2.0 Client Credentials Grant flow**. You'll use your unique client ID and client secret to request a token, which you then include in subsequent API requests.\n\n## 🔑 Authentication Steps\n\n* **Request Token:** Send a \"Retrieve Token\" request to the XONE authorization server's token endpoint.\n* **Include Credentials:** In the request body, provide your `client_id` and `client_secret` as a JSON object.\n* **Use Token:** The server will respond with an `access_token` that you can now use to authenticate your API calls by including it in the **Authorization** header as a `Bearer` token.\n","flows":{"clientCredentials":{"tokenUrl":"https://api.xone.xcover.com/api/oauth/token","scopes":{"quotes:view":"Read-only access to view quote details.","quotes:update":"Permission to opt-out quotes.","offers:view":"Read-only access to view offer details.","offers:update":"Permission to opt-out existing offers.","offers:delete":"Permission to cancel an existing booking of an offer.","bookings:create":"Ability to create new bookings for quotes.","bookings:view":"Read-only access to view booking details.","bookings:update":"Permission to modify existing bookings.","bookings:delete":"Permission to cancel bookings."}}}}}},"paths":{"/api/partners/{partner_id}/bookings/{booking_id}/cancellations/{cancellation_id}":{"post":{"summary":"Cancel booking - confirm preview","tags":["Manage booking"],"responses":{"200":{"description":"200 OK","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"X-Ratelimit-Limit":{"schema":{"type":"integer"}},"X-Ratelimit-Remaining":{"schema":{"type":"integer"}},"Vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"CF-Cache-Status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Content-Encoding":{"schema":{"type":"string"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"provider_reference":{"type":"string"},"language":{"type":"string"},"provider_customer_id":{"nullable":true},"status":{"type":"string"},"currency":{"type":"string"},"price":{"type":"number"},"security_token":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"is_instant_booking":{"type":"boolean"},"policies":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string"},"policy_start_date":{"type":"string","format":"date-time"},"policy_end_date":{"type":"string","format":"date-time"},"price":{"type":"number"},"tax":{"type":"number"},"commission":{"type":"number"},"cover_amount":{"type":"integer"},"policy_type":{"type":"string"},"policy_code":{"type":"string"},"policy_version":{"type":"string"},"policy_content":{"type":"object","properties":{"title":{"type":"string"},"header":{"nullable":true},"description":{"type":"string"},"optout_msg":{"type":"string"},"inclusions":{"type":"array","items":{}},"exclusions":{"type":"array","items":{}},"disclaimer":{"type":"string"},"disclaimer_html":{"type":"string","format":"style"},"payment_disclaimer":{"type":"string"},"in_path_disclaimer":{"type":"string"}}},"claim_selector_id":{"type":"string"},"pds_url":{"type":"string","format":"uri"},"extra_fields":{"type":"object","properties":{"retail_premium":{"type":"string"},"uw_fee":{"type":"string"},"get_tickets":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"price":{"type":"integer"},"scanned_at":{"nullable":true}}}},"event_midnight":{"type":"string","format":"date-time"},"cg_revenue":{"type":"string"}}},"confirmed_at":{"type":"string","format":"date-time"},"cancelled_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"policy_start_date_tz_offset":{"type":"string","format":"style"},"policy_end_date_tz_offset":{"type":"string"},"id":{"type":"string"}}}},"cancellations":{"type":"array","items":{"type":"object","properties":{"provider_reference":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"confirmed_at":{"type":"string","format":"date-time"},"deleted_at":{"nullable":true},"id":{"type":"string"},"total_refund":{"type":"number"},"total_refund_formatted":{"type":"string"},"policies":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"refund_value":{"type":"number"},"adjustment_fee":{"type":"integer"}}}}}}},"id":{"type":"string"},"quote":{"type":"object","properties":{"uuid":{"type":"string"}}},"partner":{"type":"object","properties":{"uuid":{"type":"string"},"name":{"type":"string"}}},"coi":{"type":"object","properties":{"url":{"type":"string","format":"uri"},"pdf":{"type":"string","format":"uri"}}},"account_url":{"type":"string","format":"uri"},"fnol_link":{"type":"string","format":"uri"},"sign_up_url":{"type":"string","format":"uri"}}}}}}}},"401":{"description":"401 Unauthorized","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"Vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"CF-Cache-Status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"422":{"description":"422 Unprocessable Entity","headers":{"Date":{"schema":{"type":"string"}},"Transfer-Encoding":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"X-Ratelimit-Limit":{"schema":{"type":"integer"}},"X-Ratelimit-Remaining":{"schema":{"type":"integer"}},"Vary":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"integer"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"CF-Cache-Status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"integer"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","properties":{"cancellation":{"type":"array","items":{"type":"string"}}}}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"reason":{"type":"string"}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.covergenius.com/xcover-elements/api-integration/manage-booking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
